<template>
    <div class="grid-schedule-title" :class="[borderStyle]" :ref="[haveRef == true ? 'scrollSchedule' : '']">
        <div style="height: 60px"></div>
    </div>
</template>

<script>
    export default {
        name: 'gridScheduleSquare',
        props: {
            haveRef: {
                type: Boolean
            },
            borderStyle: {
                type: String
            }
        },
        created() {
            window.addEventListener('scroll', this.handleScroll);
        },
        methods: {
            handleScroll (event) {
                let stickySchedule = this.$refs.scrollSchedule
                if(stickySchedule) {
                    if (window.pageYOffset >= 300) {
                        stickySchedule.classList.add("sticky")
                    } else {
                        stickySchedule.classList.remove("sticky");
                    }
                }
            }
        },
        destroyed () {
            window.removeEventListener('scroll', this.handleScroll);
        },
    }
</script>